Unable to installe any bindings without errors (FrameworkEvent ERROR - org.eclipse.smarthome.io.rest.sse)

Hi all,

I am quite new to openhab and have already reinstalled the system 3 times but have still no luck to make it work without errors in the log. Everytime I install a binding I see errors like this:

2017-05-31 11:20:52.653 [ERROR] [org.eclipse.smarthome.io.rest.sse ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.rest.sse
org.osgi.framework.BundleException: Exception in org.eclipse.smarthome.io.rest.sse.internal.SseActivator.start() of bundle org.eclipse.smarthome.io.rest.sse.
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:792)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:721)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:941)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:318)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.Module.doStart(Module.java:571)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.Module.start(Module.java:439)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:454)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.ModuleContainer.applyDelta(ModuleContainer.java:717)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.ModuleContainer.resolveAndApply(ModuleContainer.java:491)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.ModuleContainer.resolve(ModuleContainer.java:437)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.ModuleContainer.refresh(ModuleContainer.java:955)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.ModuleContainer$ContainerWiring.dispatchEvent(ModuleContainer.java:1336)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.container.ModuleContainer$ContainerWiring.dispatchEvent(ModuleContainer.java:1)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
Caused by: java.lang.LinkageError: ClassCastException: attempting to castbundleresource://22.fwk4960074/javax/ws/rs/ext/RuntimeDelegate.class to bundleresource://22.fwk4960074/javax/ws/rs/ext/RuntimeDelegate.class
at javax.ws.rs.ext.RuntimeDelegate.findDelegate(RuntimeDelegate.java:146)
at javax.ws.rs.ext.RuntimeDelegate.getInstance(RuntimeDelegate.java:120)
at javax.ws.rs.core.MediaType.valueOf(MediaType.java:179)
at org.glassfish.jersey.media.sse.SseFeature.(SseFeature.java:62)
at org.eclipse.smarthome.io.rest.sse.internal.SseActivator.start(SseActivator.java:44)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:771)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
at java.security.AccessController.doPrivileged(Native Method)[:1.8.0_131]
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:764)[org.eclipse.osgi-3.10.101.v20150820-1432.jar:]
… 14 more
2017-05-31 11:20:53.019 [INFO ] [basic.internal.servlet.WebAppServlet] - Started Basic UI at /basicui/app
2017-05-31 11:20:53.331 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing ‘openhab-binding-yahooweather’: Error restarting bundles

No matter if it is the http, comfoair, sonos or yahoo-weather binding.
I use a raspberrypi 3 to host the system.

I used the config screen on the terminal to update, upgrade the system. Also Oracle Java 8 and Zulu OpenJDK are installed. I found one hint in this community that maybe the version of Java is wrong:
at java.security.AccessController.doPrivileged(Native Method)[:1.8.0_131]

As mentioned I tried to update all packages.

The bindings seem to work despite the errors but I am hesitant to do the whole setup on a system that shows already errors on day one.

The events.log says that the extgension get installed. Examples:
2017-05-31 09:32:16.187 [ExtensionEvent ] - Extension ‘package-standard’ has been installed.
2017-05-31 09:32:27.738 [ExtensionEvent ] - Extension ‘ui-basic’ has been installed.
2017-05-31 09:32:27.741 [ExtensionEvent ] - Extension ‘ui-habpanel’ has been installed.
2017-05-31 09:32:27.744 [ExtensionEvent ] - Extension ‘ui-paper’ has been installed.
2017-05-31 09:49:54.590 [ExtensionEvent ] - Extension ‘binding-comfoair1’ has been installed.
2017-05-31 10:59:54.303 [ExtensionEvent ] - Extension ‘binding-http1’ has been uninstalled.
2017-05-31 11:03:27.261 [ExtensionEvent ] - Extension ‘binding-http1’ has been installed.
2017-05-31 11:18:00.516 [InboxAddedEvent ] - Discovery Result with UID ‘sonos:CONNECTAMP:RINCON_000E5838B64401400’ has been added.
2017-05-31 11:18:00.525 [InboxAddedEvent ] - Discovery Result with UID ‘sonos:PLAY1:RINCON_B8E93752EAB201400’ has been added.
2017-05-31 11:18:07.900 [ExtensionEvent ] - Extension ‘binding-sonos’ has been installed.

I saw that such topics dont get much attention due to the long error messages. I hope someone still can help here.

Thanks!
Martin

What is the output of java -version in your rPi3?
Also: Which release of OH2 are you using? Stable/Snapshot?

openHABian configuration or raspi-config?

Hi Angelos,

I have OH version:
openHAB 2.0.0-1 (Release Build)

Java:
java version "1.8.0_131"
Java™ SE Runtime Environment (build 1.8.0_131-b11)
Java HotSpot™ Client VM (build 25.131-b11, mixed mode)

I used “sudo openhabian-config”

Thanks a lot for looking into this thread.

Best regards,
Martin

I highly recommend to re-install your rPi3 with a clean, new openHABian deployment
Follow the instructions step-by-step and it will work. http://docs.openhab.org/installation/openhabian.html
openHABian is a “perfect” system ! :slight_smile:

1 Like

I followed these steps already three times:

Download the latest “openHABianPi” SD card image file
Write the image to your SD card (e.g. with Etcher)
Insert the SD card into the Raspberry Pi, connect Ethernet and power
Wait approximately 45 minutes for openHABian to do its magic
Enjoy! :tada:

The device will be available under its IP or via the local DNS name openhabianpi
Connect to the openHAB 2 dashboard (available after a few more minutes): http://openhabianpi:8080
Connect to the Samba network shares with openhabian:openhabian

Is there anything I need to be aware during the configuration? (Maybe a certain order…)

Did you find a way to resolve? I have same problem, even after reinstalling too. Will try switching to Beta version and see if that helps resolve.
Thanks

No solution so far. The log files do currently not show any errors so far and everything is working as expected besides the weather binding that I am currently working on. Hence I will have to live with it.

I’m getting these errors as well, even if I reinstall OH. Driving me nuts!

I think this was a hardware problem for me. Decided to reinstall (again) and that kept failing during first boot. Tried same SD card in a spare PI and it worked fine. Realise it doesn’t necessarily solve for others, but my guess is it was a power issue on one of the PI’s.